var reg_mb_id_check = function() {
    $.ajax({
        type: 'POST',
        url: member_skin_path+'/ajax_mb_id_check.php',
        data: {
            'reg_mb_id': encodeURIComponent($('#reg_mb_id').val())
        },
        cache: false,
        async: false,
        success: function(result) {
            var msg = $('#msg_mb_id');
            switch(result) {
                case '110' : msg.html('请使用英文字母及数字组合').css('color', 'red'); break;
                case '120' : msg.html('请至少输入3个以上字符').css('color', 'red'); break;
                case '130' : msg.html('已有相同的会员账户，请重新输入！').css('color', 'red'); break;
                case '140' : msg.html('禁止注册的账户名称，请重新输入！').css('color', 'red'); break;
                case '000' : msg.html('您可以使用这个账户注册！').css('color', 'blue'); break;
                default : alert( '访问出错，程序自动终止！\n\n' + result ); break;
            }
            $('#mb_id_enabled').val(result);
        }
    });
}

var reg_mb_nick_check = function() {
    $.ajax({
        type: 'POST',
        url: member_skin_path+'/ajax_mb_nick_check.php',
        data: {
            'reg_mb_nick': ($('#reg_mb_nick').val())
        },
        cache: false,
        async: false,
        success: function(result) {
            var msg = $('#msg_mb_nick');
            switch(result) {
                case '110' : msg.html('昵称尽可以使用汉字、英文字母及数字，请勿包含空格及特殊符号！').css('color', 'red'); break;
                case '120' : msg.html('请至少输入中文2字以上, 英文或数字4字节以上').css('color', 'red'); break;
                case '130' : msg.html('您选择昵称已重复').css('color', 'red'); break;
                case '000' : msg.html('您可以使用这个昵称注册！').css('color', 'blue'); break;
                default : alert( '访问出错，程序自动终止！\n\n' + result ); break;
            }
            $('#mb_nick_enabled').val(result);
        }
    });
}

var reg_mb_email_check = function() {
    $.ajax({
        type: 'POST',
        url: member_skin_path+'/ajax_mb_email_check.php',
        data: {
            'reg_mb_id': encodeURIComponent($('#reg_mb_id').val()),
            'reg_mb_email': $('#reg_mb_email').val()
        },
        cache: false,
        async: false,
        success: function(result) {
            var msg = $('#msg_mb_email');
            switch(result) {
                case '110' : msg.html('请输入E-mail地址').css('color', 'red'); break;
                case '120' : msg.html('E-mail地址格式错误，请重新输入！').css('color', 'red'); break;
                case '130' : msg.html('已有重复的E-mail地址').css('color', 'red'); break;
                case '000' : msg.html('可以使用这个E-mail地址进行注册！').css('color', 'blue'); break;
                default : alert( '访问出错，程序自动终止！\n\n' + result ); break;
            }
            $('#mb_email_enabled').val(result);
        }
    });
}